<template>
  <div class="app-container">
    <transition name="el-zoom-in-center">
      <data-permission-list v-if="options.showList" @showCard="showCard" />
    </transition>
  </div>
</template>

<script>
import DataPermissionList from './DataPermissionList'

export default {
  name: 'DataPermission',
  components: { DataPermissionList },
  data() {
    return {
      options: {
        data: {},
        showList: true
      }
    }
  },
  methods: {
    showCard(data) {
      Object.assign(this.options, data)
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
